## ros-kinetic-wamv-gazebo 1.3.0

=== debian/changelog ===
ros-kinetic-wamv-gazebo (1.3.0-1xenial) xenial; urgency=high

  * Switch to 0 0 1 in axis.
  * Create links where the GPS and IMU sensors are attached.
  * Contributors: Carlos Aguero

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.6-1xenial) xenial; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.5-1xenial) xenial; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 18 Sep 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.4-1xenial) xenial; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.3-1xenial) xenial; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.2-1xenial) xenial; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 05 Sep 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.1-1xenial) xenial; urgency=high

  * minor cleanup + env flag + disable z
  * Adding namespaces to the other thruster configurations.
  * Namespace tweaks.
  * Fix typo.
  * Style changes.
  * Merge
  * Added commented code to wamv_xacro
  * removed from wamv
  * force vectors are correct; scaling added
  * merged with master
  * Contributors: Carlos Aguero, Rumman Waqar <mailto:rumman.waqar05@gmail.com>, Tyler Lum <mailto:tylergwlum@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 04 Sep 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.2.0-1xenial) xenial; urgency=high

  * Merge from topic_namespace_generation
  * Update rviz configuration with new lidar topic
  * lidar->lidars in topic names
  * Merged default into topic_namespace_generation
  * Alter launch file to fix tf frame error in navsat_transform_node
  * Update rviz configuration to match namespaces
  * Update localisation example launch file to support namespace.  The addition of a robot namespace also results in the creation of tf namespaces.  This patch upadtes the launch file to support this
  * Modify xacro files to add further topic subnamespaces to sensor models
  * Merged default into topic_namespace_generation
  * fix catkin make install issues with meshes
  * Merged in Fix-RVIZ-Mesh-Issue (pull request #158)
    Fix RVIZ Mesh Issue
    Approved-by: Carlos Agüero <mailto:cen.aguero@gmail.com>
  * Fully functional solution, with urdf file modified when calling spawn_wamv.bash and giving proper model dirs to wamv_gazebo and wamv_description
  * Fully functional solution, with model.config errors only when non_competition_mode:=false
  * Change all to package://vrx_gazebo
  * Rm fake vrx_gazebo/models and make it work, needs testing
  * Change model names to No Model
  * Move cameras into sensor namespace
    Add senosr namespace to p3d position feedback
  * Remove extra slashes from topic names
  * Merged default into topic_namespace_generation
  * Fix namepsaces to work with robotNamespace parameter
  * Merge changes with default branch
  * Add sensor namepsace to planar lidar
    Remove gloabl namespace
  * Add support for namespaces This includes thruster, camera and sensor namespaces, as well as a global namespace allowing multiple vehicles to be created without causing interference.
  * Add v3d plugin - this publishes a vecotr based on the world frame velocity in Gazebo
    Update gps configuration to add gazebo gps and v3d plugins to standard configuration
  * Add plugin for ROS interface to gazebo GPS sensor.
  * Clean up model.config files
  * Add fake models in vrx_gazebo, wamv_description, wamv_gazebo to avoid GAZEBO_MODEL_PATH errors
  * fixed wamv_camera
  * remove tab
  * fix issue
  * removed old debug msg
  * added force visualization to wamv
  * Contributors: Carlos Aguero, Carlos Agüero <mailto:cen.aguero@gmail.com>, Jonathan Wheare <mailto:jonathan.wheare@flinders.edu.au>, MarshallRawson, Rumman Waqar <mailto:rumman.waqar05@gmail.com>, Tyler Lum <mailto:tylergwlum@gmail.com>

 -- Carlos Aguero <caguero@osrfoundation.org>  Sun, 18 Aug 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.1.2-1xenial) xenial; urgency=high

  * lidar.xacro edited online with Bitbucket
  * fixed issue
  * cpu cases now included when configured by yaml
  * Contributors: Marshall Rawson <mailto:marshallrawson@osrfoundation.org>, MarshallRawson

 -- Carlos Aguero <caguero@osrfoundation.org>  Tue, 09 Jul 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.1.1-1xenial) xenial; urgency=high



 -- Carlos Aguero <caguero@osrfoundation.org>  Tue, 02 Jul 2019 22:00:00 -0000

ros-kinetic-wamv-gazebo (1.1.0-1xenial) xenial; urgency=high

  * wamv_gps.xacro edited online with Bitbucket
  * Update camera resolution
  * Using 16 beam lasers
  * default urdf is now 32 beam lidar
  * completed lidar specs
  * ready for detailed lidar spec input
  * added rviz config
  * Merged default into issue#94-buoyancy
  * merging with default - need to check wind
  * Added allowences for post_Y and moved wamv_imu, wamv_gps default locations to be within compliance
  * temporary branch for comparing with wave_visualization
  * Merged in Issue#100-wind-plugin (pull request #106)
    Issue#100 wind plugin moved to world plugin
    Approved-by: Carlos Agüero <mailto:cen.aguero@gmail.com>
  * Put required parameters together and make it obvious which are required
  * Add <enableAngle> bool parameter that controls if angle is adjustable or not
  * filled out the SensorCompliance. It is formatted by the sensors_compliance files
  * Implement turnable thruster joint
  * Basic implementation of angle adjustable thrusters, still need to test, add joints, and change visuals
  * merged. expanded xacro capabilities
  * changing the interface from timePeriod to frequency
  * adding ROS API to probe for wind speed
  * enabling the user to input only the angle for wind direction

